Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.bioinf.gui.misc
Class SwappingListBasicUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.ListUI
                  |
                  +--javax.swing.plaf.basic.BasicListUI
                        |
                        +--uk.ac.man.bioinf.gui.misc.SwappingListBasicUI

public class SwappingListBasicUI
extends BasicListUI

SwappingListBasicUI.java This class enables dragging of list items around something like XMMS's playlist. Because it has to modify the list it must perform a dodgy cast, to some form of modifiable ListModel. In this case it assumes that the list extends DefaultListModel. (PENDING:- PL) I should include some checking for this when ever the UI is associated with a JList or whenever the ListModel is changed, which would give me fail fast behaviour. Created: Tue Oct 3 18:40:07 2000

Version:
  $Id: SwappingListBasicUI.java,v 1.3 2001/04/11 17:04:42 lord Exp $
Author:
  Phillip Lord

Nested Class Summary
`class` | `SwappingListBasicUI.SwappingMouseInputHandler`

Nested classes inherited from class javax.swing.plaf.basic.BasicListUI
`BasicListUI.FocusHandler, BasicListUI.ListDataHandler, BasicListUI.ListSelectionHandler, BasicListUI.PropertyChangeHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicListUI
`cellHeight, cellHeights, cellRendererChanged, cellWidth, fixedCellHeightChanged, fixedCellWidthChanged, focusListener, fontChanged, list, listDataListener, listSelectionListener, modelChanged, mouseInputListener, propertyChangeListener, prototypeCellValueChanged, rendererPane, selectionModelChanged, updateLayoutStateNeeded`

Constructor Summary
`SwappingListBasicUI()`

Method Summary
`protected int` | `convertYToRow(int y)`
`protected MouseInputListener` | `createMouseInputListener()`
`protected JList` | `getJList()`

Methods inherited from class javax.swing.plaf.basic.BasicListUI
`convertRowToY, createFocusListener, createListDataListener, createListSelectionListener, createPropertyChangeListener, createUI, getCellBounds, getMaximumSize, getMinimumSize, getPreferredSize, getRowHeight, indexToLocation, installDefaults, installKeyboardActions, installListeners, installUI, locationToIndex, maybeUpdateLayoutState, paint, paintCell, selectNextIndex, selectPreviousIndex, uninstallDefaults, uninstallKeyboardActions, uninstallListeners, uninstallUI, updateLayoutState`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SwappingListBasicUI

    public SwappingListBasicUI()

Method Detail

### createMouseInputListener

    protected MouseInputListener createMouseInputListener()

  Overrides:
    `createMouseInputListener` in class `BasicListUI`

### convertYToRow

    protected int convertYToRow(int y)

  Overrides:
    `convertYToRow` in class `BasicListUI`

### getJList

    protected JList getJList()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD